package textBookEgs_Chapter3;

import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;

/**
 * Encapsulation of LineDrawView, taken from:
 * 
 * - Olsen Fig 2.5, p. 19 (called DrawView in this eg)
 * 
 * @author mb
 * 
 */
public class LineDrawViewV0 extends Canvas {
	private LineDrawModelV0 myModel;

	public LineDrawViewV0(LineDrawModelV0 model) {
		this.myModel = model;
	}

	/*
	 * Paint when the AWT tells us to...
	 */
	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		for (int i = 0; i < myModel.getNumberOfLines(); i++) {
			g2.drawLine(myModel.getEndPoint1(i).x, myModel.getEndPoint1(i).y,
					myModel.getEndPoint2(i).x, myModel.getEndPoint2(i).y);
		}
	}

	public Dimension getPreferredSize() {
		return new Dimension(400, 200);
	}

}
